namespace evas { 
inline ::efl::eolian::return_traits< ::eo::Base>::type VG::root_node_get() const
{
    ::Eo_Base* __return_value =  ::evas_obj_vg_root_node_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::eo::Base>::type>(__return_value);
}
} 
namespace eo_cxx {
namespace evas { 
inline ::efl::eolian::return_traits< ::eo::Base>::type VG::root_node_get() const
{
    ::Eo_Base* __return_value =  ::evas_obj_vg_root_node_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::eo::Base>::type>(__return_value);
}
inline evas::VG::operator ::evas::VG() const { return *static_cast< ::evas::VG const*>(static_cast<void const*>(this)); }
inline evas::VG::operator ::evas::VG&() { return *static_cast< ::evas::VG*>(static_cast<void*>(this)); }
inline evas::VG::operator ::evas::VG const&() const { return *static_cast< ::evas::VG const*>(static_cast<void const*>(this)); }
} }

